<!--
/*
 * Enhydra Java Application Server
 * The Initial Developer of the Original Code is Lutris Technologies Inc.
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc.
 * All Rights Reserved.
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License.
 */
-->
<%@ page contentType="text/html;charset=WINDOWS-1252"%>
<HTML>
<HEAD>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=WINDOWS-1252">
<META NAME="ENHYDRA" CONTENT="ToolBox">
<TITLE>
Server side redirect
</TITLE>
</HEAD>
<BODY>
<%--This JSP page is used to map the slash to a welcome servlet for an
    application. While it is possible to map the / url to a servlet, this
    has the effect of taking over all non-jsp requests that are not mapped
    in the web.xml file. So if you still want to serve a.html, b.wml, and c.gif
    then you should use this jsp-forwarding-to-a-servlet approach. The
    advantage to this approach is that it allows you to use the
    welcome-file mapping.

    This JSP is also designed to get the welcome-file mapping out of the
    web.xml as a configuration parameter.

    To use this page in your application . . .

    1) Copy this file to the root directory of your web application and name
    it index.jsp.

    2) Note that you can copy this file to any subdirectory in your
	application and it will work the same. You may, in fact, want to
	copy it to every subdirectory to prevent directory listing
	behavior which can compromise security.

--%>

<%
	pageContext.forward( "/redirect" );
%>
</BODY>
</HTML>
